package com.mortals.xhx.module.check.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.check.model.CheckWindowWorkmanPerformEntity;
/**
 * 窗口人员考核汇总核查查询对象
 *
 * @author zxfei
 * @date 2024-01-17
 */
public class CheckWindowWorkmanPerformQuery extends CheckWindowWorkmanPerformEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 记录ID */
    private Long recordIdStart;

    /** 结束 记录ID */
    private Long recordIdEnd;

    /** 增加 记录ID */
    private Long recordIdIncrement;

    /** 记录ID列表 */
    private List <Long> recordIdList;

    /** 记录ID排除列表 */
    private List <Long> recordIdNotList;

    /** 开始 考核年度 */
    private Integer yearStart;

    /** 结束 考核年度 */
    private Integer yearEnd;

    /** 增加 考核年度 */
    private Integer yearIncrement;

    /** 考核年度列表 */
    private List <Integer> yearList;

    /** 考核年度排除列表 */
    private List <Integer> yearNotList;

    /** 开始 考核月份 */
    private Integer monthStart;

    /** 结束 考核月份 */
    private Integer monthEnd;

    /** 增加 考核月份 */
    private Integer monthIncrement;

    /** 考核月份列表 */
    private List <Integer> monthList;

    /** 考核月份排除列表 */
    private List <Integer> monthNotList;

    /** 开始 窗口ID */
    private Long windowIdStart;

    /** 结束 窗口ID */
    private Long windowIdEnd;

    /** 增加 窗口ID */
    private Long windowIdIncrement;

    /** 窗口ID列表 */
    private List <Long> windowIdList;

    /** 窗口ID排除列表 */
    private List <Long> windowIdNotList;

    /** 窗口名称 */
    private List<String> windowNameList;

    /** 窗口名称排除列表 */
    private List <String> windowNameNotList;
    /** 开始 窗口负责人id */
    private Long ownerIdStart;

    /** 结束 窗口负责人id */
    private Long ownerIdEnd;

    /** 增加 窗口负责人id */
    private Long ownerIdIncrement;

    /** 窗口负责人id列表 */
    private List <Long> ownerIdList;

    /** 窗口负责人id排除列表 */
    private List <Long> ownerIdNotList;

    /** 窗口负责人名称 */
    private List<String> ownerNameList;

    /** 窗口负责人名称排除列表 */
    private List <String> ownerNameNotList;
    /** 开始 所属部门id */
    private Long deptIdStart;

    /** 结束 所属部门id */
    private Long deptIdEnd;

    /** 增加 所属部门id */
    private Long deptIdIncrement;

    /** 所属部门id列表 */
    private List <Long> deptIdList;

    /** 所属部门id排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 所属大厅 */
    private Long salaIdStart;

    /** 结束 所属大厅 */
    private Long salaIdEnd;

    /** 增加 所属大厅 */
    private Long salaIdIncrement;

    /** 所属大厅列表 */
    private List <Long> salaIdList;

    /** 所属大厅排除列表 */
    private List <Long> salaIdNotList;

    /** 所属大厅名称 */
    private List<String> salaNameList;

    /** 所属大厅名称排除列表 */
    private List <String> salaNameNotList;
    /** 考核表单名称 */
    private List<String> fromNameList;

    /** 考核表单名称排除列表 */
    private List <String> fromNameNotList;
    /** 开始 提交时间 */
    private String submitDateStart;

    /** 结束 提交时间 */
    private String submitDateEnd;

    /** 管理组核查人员 */
    private List<String> manageCheckPersonList;

    /** 管理组核查人员排除列表 */
    private List <String> manageCheckPersonNotList;
    /** 开始 管理组核查时间 */
    private String manageCheckTimeStart;

    /** 结束 管理组核查时间 */
    private String manageCheckTimeEnd;

    /** 管理组核查说明 */
    private List<String> manageCheckDescList;

    /** 管理组核查说明排除列表 */
    private List <String> manageCheckDescNotList;
    /** 管理组核查结果(1.通过,2.不通过) */
    private List<String> manageCheckResultList;

    /** 管理组核查结果(1.通过,2.不通过)排除列表 */
    private List <String> manageCheckResultNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 处理状态(1.未处理,2.已处理) */
    private Integer checkStatusStart;

    /** 结束 处理状态(1.未处理,2.已处理) */
    private Integer checkStatusEnd;

    /** 增加 处理状态(1.未处理,2.已处理) */
    private Integer checkStatusIncrement;

    /** 处理状态(1.未处理,2.已处理)列表 */
    private List <Integer> checkStatusList;

    /** 处理状态(1.未处理,2.已处理)排除列表 */
    private List <Integer> checkStatusNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CheckWindowWorkmanPerformQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CheckWindowWorkmanPerformQuery> andConditionList;

    public CheckWindowWorkmanPerformQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 记录ID
     * @return recordIdStart
     */
    public Long getRecordIdStart(){
        return this.recordIdStart;
    }

    /**
     * 设置 开始 记录ID
     * @param recordIdStart
     */
    public void setRecordIdStart(Long recordIdStart){
        this.recordIdStart = recordIdStart;
    }

    /**
     * 获取 结束 记录ID
     * @return $recordIdEnd
     */
    public Long getRecordIdEnd(){
        return this.recordIdEnd;
    }

    /**
     * 设置 结束 记录ID
     * @param recordIdEnd
     */
    public void setRecordIdEnd(Long recordIdEnd){
        this.recordIdEnd = recordIdEnd;
    }

    /**
     * 获取 增加 记录ID
     * @return recordIdIncrement
     */
    public Long getRecordIdIncrement(){
        return this.recordIdIncrement;
    }

    /**
     * 设置 增加 记录ID
     * @param recordIdIncrement
     */
    public void setRecordIdIncrement(Long recordIdIncrement){
        this.recordIdIncrement = recordIdIncrement;
    }

    /**
     * 获取 记录ID
     * @return recordIdList
     */
    public List<Long> getRecordIdList(){
        return this.recordIdList;
    }

    /**
     * 设置 记录ID
     * @param recordIdList
     */
    public void setRecordIdList(List<Long> recordIdList){
        this.recordIdList = recordIdList;
    }

    /**
     * 获取 记录ID
     * @return recordIdNotList
     */
    public List<Long> getRecordIdNotList(){
        return this.recordIdNotList;
    }

    /**
     * 设置 记录ID
     * @param recordIdNotList
     */
    public void setRecordIdNotList(List<Long> recordIdNotList){
        this.recordIdNotList = recordIdNotList;
    }


    /**
     * 获取 开始 考核年度
     * @return yearStart
     */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
     * 设置 开始 考核年度
     * @param yearStart
     */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
     * 获取 结束 考核年度
     * @return $yearEnd
     */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
     * 设置 结束 考核年度
     * @param yearEnd
     */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
     * 获取 增加 考核年度
     * @return yearIncrement
     */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
     * 设置 增加 考核年度
     * @param yearIncrement
     */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
     * 获取 考核年度
     * @return yearList
     */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
     * 设置 考核年度
     * @param yearList
     */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
     * 获取 考核年度
     * @return yearNotList
     */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
     * 设置 考核年度
     * @param yearNotList
     */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
     * 获取 开始 考核月份
     * @return monthStart
     */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
     * 设置 开始 考核月份
     * @param monthStart
     */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
     * 获取 结束 考核月份
     * @return $monthEnd
     */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
     * 设置 结束 考核月份
     * @param monthEnd
     */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
     * 获取 增加 考核月份
     * @return monthIncrement
     */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
     * 设置 增加 考核月份
     * @param monthIncrement
     */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
     * 获取 考核月份
     * @return monthList
     */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
     * 设置 考核月份
     * @param monthList
     */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
     * 获取 考核月份
     * @return monthNotList
     */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
     * 设置 考核月份
     * @param monthNotList
     */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
     * 获取 开始 窗口ID
     * @return windowIdStart
     */
    public Long getWindowIdStart(){
        return this.windowIdStart;
    }

    /**
     * 设置 开始 窗口ID
     * @param windowIdStart
     */
    public void setWindowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
    }

    /**
     * 获取 结束 窗口ID
     * @return $windowIdEnd
     */
    public Long getWindowIdEnd(){
        return this.windowIdEnd;
    }

    /**
     * 设置 结束 窗口ID
     * @param windowIdEnd
     */
    public void setWindowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
    }

    /**
     * 获取 增加 窗口ID
     * @return windowIdIncrement
     */
    public Long getWindowIdIncrement(){
        return this.windowIdIncrement;
    }

    /**
     * 设置 增加 窗口ID
     * @param windowIdIncrement
     */
    public void setWindowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
    }

    /**
     * 获取 窗口ID
     * @return windowIdList
     */
    public List<Long> getWindowIdList(){
        return this.windowIdList;
    }

    /**
     * 设置 窗口ID
     * @param windowIdList
     */
    public void setWindowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
    }

    /**
     * 获取 窗口ID
     * @return windowIdNotList
     */
    public List<Long> getWindowIdNotList(){
        return this.windowIdNotList;
    }

    /**
     * 设置 窗口ID
     * @param windowIdNotList
     */
    public void setWindowIdNotList(List<Long> windowIdNotList){
        this.windowIdNotList = windowIdNotList;
    }


    /**
     * 获取 窗口名称
     * @return windowNameList
     */
    public List<String> getWindowNameList(){
        return this.windowNameList;
    }

    /**
     * 设置 窗口名称
     * @param windowNameList
     */
    public void setWindowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
    }

    /**
     * 获取 窗口名称
     * @return windowNameNotList
     */
    public List<String> getWindowNameNotList(){
        return this.windowNameNotList;
    }

    /**
     * 设置 窗口名称
     * @param windowNameNotList
     */
    public void setWindowNameNotList(List<String> windowNameNotList){
        this.windowNameNotList = windowNameNotList;
    }

    /**
     * 获取 开始 窗口负责人id
     * @return ownerIdStart
     */
    public Long getOwnerIdStart(){
        return this.ownerIdStart;
    }

    /**
     * 设置 开始 窗口负责人id
     * @param ownerIdStart
     */
    public void setOwnerIdStart(Long ownerIdStart){
        this.ownerIdStart = ownerIdStart;
    }

    /**
     * 获取 结束 窗口负责人id
     * @return $ownerIdEnd
     */
    public Long getOwnerIdEnd(){
        return this.ownerIdEnd;
    }

    /**
     * 设置 结束 窗口负责人id
     * @param ownerIdEnd
     */
    public void setOwnerIdEnd(Long ownerIdEnd){
        this.ownerIdEnd = ownerIdEnd;
    }

    /**
     * 获取 增加 窗口负责人id
     * @return ownerIdIncrement
     */
    public Long getOwnerIdIncrement(){
        return this.ownerIdIncrement;
    }

    /**
     * 设置 增加 窗口负责人id
     * @param ownerIdIncrement
     */
    public void setOwnerIdIncrement(Long ownerIdIncrement){
        this.ownerIdIncrement = ownerIdIncrement;
    }

    /**
     * 获取 窗口负责人id
     * @return ownerIdList
     */
    public List<Long> getOwnerIdList(){
        return this.ownerIdList;
    }

    /**
     * 设置 窗口负责人id
     * @param ownerIdList
     */
    public void setOwnerIdList(List<Long> ownerIdList){
        this.ownerIdList = ownerIdList;
    }

    /**
     * 获取 窗口负责人id
     * @return ownerIdNotList
     */
    public List<Long> getOwnerIdNotList(){
        return this.ownerIdNotList;
    }

    /**
     * 设置 窗口负责人id
     * @param ownerIdNotList
     */
    public void setOwnerIdNotList(List<Long> ownerIdNotList){
        this.ownerIdNotList = ownerIdNotList;
    }


    /**
     * 获取 窗口负责人名称
     * @return ownerNameList
     */
    public List<String> getOwnerNameList(){
        return this.ownerNameList;
    }

    /**
     * 设置 窗口负责人名称
     * @param ownerNameList
     */
    public void setOwnerNameList(List<String> ownerNameList){
        this.ownerNameList = ownerNameList;
    }

    /**
     * 获取 窗口负责人名称
     * @return ownerNameNotList
     */
    public List<String> getOwnerNameNotList(){
        return this.ownerNameNotList;
    }

    /**
     * 设置 窗口负责人名称
     * @param ownerNameNotList
     */
    public void setOwnerNameNotList(List<String> ownerNameNotList){
        this.ownerNameNotList = ownerNameNotList;
    }

    /**
     * 获取 开始 所属部门id
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 所属部门id
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 所属部门id
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 所属部门id
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 所属部门id
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 所属部门id
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 所属部门id
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 所属部门id
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 所属部门id
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 所属部门id
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 所属部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 所属部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 开始 所属大厅
     * @return salaIdStart
     */
    public Long getSalaIdStart(){
        return this.salaIdStart;
    }

    /**
     * 设置 开始 所属大厅
     * @param salaIdStart
     */
    public void setSalaIdStart(Long salaIdStart){
        this.salaIdStart = salaIdStart;
    }

    /**
     * 获取 结束 所属大厅
     * @return $salaIdEnd
     */
    public Long getSalaIdEnd(){
        return this.salaIdEnd;
    }

    /**
     * 设置 结束 所属大厅
     * @param salaIdEnd
     */
    public void setSalaIdEnd(Long salaIdEnd){
        this.salaIdEnd = salaIdEnd;
    }

    /**
     * 获取 增加 所属大厅
     * @return salaIdIncrement
     */
    public Long getSalaIdIncrement(){
        return this.salaIdIncrement;
    }

    /**
     * 设置 增加 所属大厅
     * @param salaIdIncrement
     */
    public void setSalaIdIncrement(Long salaIdIncrement){
        this.salaIdIncrement = salaIdIncrement;
    }

    /**
     * 获取 所属大厅
     * @return salaIdList
     */
    public List<Long> getSalaIdList(){
        return this.salaIdList;
    }

    /**
     * 设置 所属大厅
     * @param salaIdList
     */
    public void setSalaIdList(List<Long> salaIdList){
        this.salaIdList = salaIdList;
    }

    /**
     * 获取 所属大厅
     * @return salaIdNotList
     */
    public List<Long> getSalaIdNotList(){
        return this.salaIdNotList;
    }

    /**
     * 设置 所属大厅
     * @param salaIdNotList
     */
    public void setSalaIdNotList(List<Long> salaIdNotList){
        this.salaIdNotList = salaIdNotList;
    }


    /**
     * 获取 所属大厅名称
     * @return salaNameList
     */
    public List<String> getSalaNameList(){
        return this.salaNameList;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameList
     */
    public void setSalaNameList(List<String> salaNameList){
        this.salaNameList = salaNameList;
    }

    /**
     * 获取 所属大厅名称
     * @return salaNameNotList
     */
    public List<String> getSalaNameNotList(){
        return this.salaNameNotList;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameNotList
     */
    public void setSalaNameNotList(List<String> salaNameNotList){
        this.salaNameNotList = salaNameNotList;
    }

    /**
     * 获取 考核表单名称
     * @return fromNameList
     */
    public List<String> getFromNameList(){
        return this.fromNameList;
    }

    /**
     * 设置 考核表单名称
     * @param fromNameList
     */
    public void setFromNameList(List<String> fromNameList){
        this.fromNameList = fromNameList;
    }

    /**
     * 获取 考核表单名称
     * @return fromNameNotList
     */
    public List<String> getFromNameNotList(){
        return this.fromNameNotList;
    }

    /**
     * 设置 考核表单名称
     * @param fromNameNotList
     */
    public void setFromNameNotList(List<String> fromNameNotList){
        this.fromNameNotList = fromNameNotList;
    }

    /**
     * 获取 开始 提交时间
     * @return submitDateStart
     */
    public String getSubmitDateStart(){
        return this.submitDateStart;
    }

    /**
     * 设置 开始 提交时间
     * @param submitDateStart
     */
    public void setSubmitDateStart(String submitDateStart){
        this.submitDateStart = submitDateStart;
    }

    /**
     * 获取 结束 提交时间
     * @return submitDateEnd
     */
    public String getSubmitDateEnd(){
        return this.submitDateEnd;
    }

    /**
     * 设置 结束 提交时间
     * @param submitDateEnd
     */
    public void setSubmitDateEnd(String submitDateEnd){
        this.submitDateEnd = submitDateEnd;
    }

    /**
     * 获取 管理组核查人员
     * @return manageCheckPersonList
     */
    public List<String> getManageCheckPersonList(){
        return this.manageCheckPersonList;
    }

    /**
     * 设置 管理组核查人员
     * @param manageCheckPersonList
     */
    public void setManageCheckPersonList(List<String> manageCheckPersonList){
        this.manageCheckPersonList = manageCheckPersonList;
    }

    /**
     * 获取 管理组核查人员
     * @return manageCheckPersonNotList
     */
    public List<String> getManageCheckPersonNotList(){
        return this.manageCheckPersonNotList;
    }

    /**
     * 设置 管理组核查人员
     * @param manageCheckPersonNotList
     */
    public void setManageCheckPersonNotList(List<String> manageCheckPersonNotList){
        this.manageCheckPersonNotList = manageCheckPersonNotList;
    }

    /**
     * 获取 开始 管理组核查时间
     * @return manageCheckTimeStart
     */
    public String getManageCheckTimeStart(){
        return this.manageCheckTimeStart;
    }

    /**
     * 设置 开始 管理组核查时间
     * @param manageCheckTimeStart
     */
    public void setManageCheckTimeStart(String manageCheckTimeStart){
        this.manageCheckTimeStart = manageCheckTimeStart;
    }

    /**
     * 获取 结束 管理组核查时间
     * @return manageCheckTimeEnd
     */
    public String getManageCheckTimeEnd(){
        return this.manageCheckTimeEnd;
    }

    /**
     * 设置 结束 管理组核查时间
     * @param manageCheckTimeEnd
     */
    public void setManageCheckTimeEnd(String manageCheckTimeEnd){
        this.manageCheckTimeEnd = manageCheckTimeEnd;
    }

    /**
     * 获取 管理组核查说明
     * @return manageCheckDescList
     */
    public List<String> getManageCheckDescList(){
        return this.manageCheckDescList;
    }

    /**
     * 设置 管理组核查说明
     * @param manageCheckDescList
     */
    public void setManageCheckDescList(List<String> manageCheckDescList){
        this.manageCheckDescList = manageCheckDescList;
    }

    /**
     * 获取 管理组核查说明
     * @return manageCheckDescNotList
     */
    public List<String> getManageCheckDescNotList(){
        return this.manageCheckDescNotList;
    }

    /**
     * 设置 管理组核查说明
     * @param manageCheckDescNotList
     */
    public void setManageCheckDescNotList(List<String> manageCheckDescNotList){
        this.manageCheckDescNotList = manageCheckDescNotList;
    }

    /**
     * 获取 管理组核查结果(1.通过,2.不通过)
     * @return manageCheckResultList
     */
    public List<String> getManageCheckResultList(){
        return this.manageCheckResultList;
    }

    /**
     * 设置 管理组核查结果(1.通过,2.不通过)
     * @param manageCheckResultList
     */
    public void setManageCheckResultList(List<String> manageCheckResultList){
        this.manageCheckResultList = manageCheckResultList;
    }

    /**
     * 获取 管理组核查结果(1.通过,2.不通过)
     * @return manageCheckResultNotList
     */
    public List<String> getManageCheckResultNotList(){
        return this.manageCheckResultNotList;
    }

    /**
     * 设置 管理组核查结果(1.通过,2.不通过)
     * @param manageCheckResultNotList
     */
    public void setManageCheckResultNotList(List<String> manageCheckResultNotList){
        this.manageCheckResultNotList = manageCheckResultNotList;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 处理状态(1.未处理,2.已处理)
     * @return checkStatusStart
     */
    public Integer getCheckStatusStart(){
        return this.checkStatusStart;
    }

    /**
     * 设置 开始 处理状态(1.未处理,2.已处理)
     * @param checkStatusStart
     */
    public void setCheckStatusStart(Integer checkStatusStart){
        this.checkStatusStart = checkStatusStart;
    }

    /**
     * 获取 结束 处理状态(1.未处理,2.已处理)
     * @return $checkStatusEnd
     */
    public Integer getCheckStatusEnd(){
        return this.checkStatusEnd;
    }

    /**
     * 设置 结束 处理状态(1.未处理,2.已处理)
     * @param checkStatusEnd
     */
    public void setCheckStatusEnd(Integer checkStatusEnd){
        this.checkStatusEnd = checkStatusEnd;
    }

    /**
     * 获取 增加 处理状态(1.未处理,2.已处理)
     * @return checkStatusIncrement
     */
    public Integer getCheckStatusIncrement(){
        return this.checkStatusIncrement;
    }

    /**
     * 设置 增加 处理状态(1.未处理,2.已处理)
     * @param checkStatusIncrement
     */
    public void setCheckStatusIncrement(Integer checkStatusIncrement){
        this.checkStatusIncrement = checkStatusIncrement;
    }

    /**
     * 获取 处理状态(1.未处理,2.已处理)
     * @return checkStatusList
     */
    public List<Integer> getCheckStatusList(){
        return this.checkStatusList;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param checkStatusList
     */
    public void setCheckStatusList(List<Integer> checkStatusList){
        this.checkStatusList = checkStatusList;
    }

    /**
     * 获取 处理状态(1.未处理,2.已处理)
     * @return checkStatusNotList
     */
    public List<Integer> getCheckStatusNotList(){
        return this.checkStatusNotList;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param checkStatusNotList
     */
    public void setCheckStatusNotList(List<Integer> checkStatusNotList){
        this.checkStatusNotList = checkStatusNotList;
    }


    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public CheckWindowWorkmanPerformQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public CheckWindowWorkmanPerformQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public CheckWindowWorkmanPerformQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public CheckWindowWorkmanPerformQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public CheckWindowWorkmanPerformQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public CheckWindowWorkmanPerformQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  记录ID
     * @param recordId
     */
    public CheckWindowWorkmanPerformQuery recordId(Long recordId){
        setRecordId(recordId);
        return this;
    }

    /**
     * 设置 开始 记录ID
     * @param recordIdStart
     */
    public CheckWindowWorkmanPerformQuery recordIdStart(Long recordIdStart){
        this.recordIdStart = recordIdStart;
        return this;
    }

    /**
     * 设置 结束 记录ID
     * @param recordIdEnd
     */
    public CheckWindowWorkmanPerformQuery recordIdEnd(Long recordIdEnd){
        this.recordIdEnd = recordIdEnd;
        return this;
    }

    /**
     * 设置 增加 记录ID
     * @param recordIdIncrement
     */
    public CheckWindowWorkmanPerformQuery recordIdIncrement(Long recordIdIncrement){
        this.recordIdIncrement = recordIdIncrement;
        return this;
    }

    /**
     * 设置 记录ID
     * @param recordIdList
     */
    public CheckWindowWorkmanPerformQuery recordIdList(List<Long> recordIdList){
        this.recordIdList = recordIdList;
        return this;
    }

    /**
     * 设置 记录ID
     * @param recordIdNotList
     */
    public CheckWindowWorkmanPerformQuery recordIdNotList(List<Long> recordIdNotList){
        this.recordIdNotList = recordIdNotList;
        return this;
    }

    /**
     * 设置  考核年度
     * @param year
     */
    public CheckWindowWorkmanPerformQuery year(Integer year){
        setYear(year);
        return this;
    }

    /**
     * 设置 开始 考核年度
     * @param yearStart
     */
    public CheckWindowWorkmanPerformQuery yearStart(Integer yearStart){
        this.yearStart = yearStart;
        return this;
    }

    /**
     * 设置 结束 考核年度
     * @param yearEnd
     */
    public CheckWindowWorkmanPerformQuery yearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
        return this;
    }

    /**
     * 设置 增加 考核年度
     * @param yearIncrement
     */
    public CheckWindowWorkmanPerformQuery yearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
        return this;
    }

    /**
     * 设置 考核年度
     * @param yearList
     */
    public CheckWindowWorkmanPerformQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
        return this;
    }

    /**
     * 设置 考核年度
     * @param yearNotList
     */
    public CheckWindowWorkmanPerformQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
    }

    /**
     * 设置  考核月份
     * @param month
     */
    public CheckWindowWorkmanPerformQuery month(Integer month){
        setMonth(month);
        return this;
    }

    /**
     * 设置 开始 考核月份
     * @param monthStart
     */
    public CheckWindowWorkmanPerformQuery monthStart(Integer monthStart){
        this.monthStart = monthStart;
        return this;
    }

    /**
     * 设置 结束 考核月份
     * @param monthEnd
     */
    public CheckWindowWorkmanPerformQuery monthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
        return this;
    }

    /**
     * 设置 增加 考核月份
     * @param monthIncrement
     */
    public CheckWindowWorkmanPerformQuery monthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
        return this;
    }

    /**
     * 设置 考核月份
     * @param monthList
     */
    public CheckWindowWorkmanPerformQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
        return this;
    }

    /**
     * 设置 考核月份
     * @param monthNotList
     */
    public CheckWindowWorkmanPerformQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
    }

    /**
     * 设置  窗口ID
     * @param windowId
     */
    public CheckWindowWorkmanPerformQuery windowId(Long windowId){
        setWindowId(windowId);
        return this;
    }

    /**
     * 设置 开始 窗口ID
     * @param windowIdStart
     */
    public CheckWindowWorkmanPerformQuery windowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
        return this;
    }

    /**
     * 设置 结束 窗口ID
     * @param windowIdEnd
     */
    public CheckWindowWorkmanPerformQuery windowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
        return this;
    }

    /**
     * 设置 增加 窗口ID
     * @param windowIdIncrement
     */
    public CheckWindowWorkmanPerformQuery windowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
        return this;
    }

    /**
     * 设置 窗口ID
     * @param windowIdList
     */
    public CheckWindowWorkmanPerformQuery windowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
        return this;
    }

    /**
     * 设置 窗口ID
     * @param windowIdNotList
     */
    public CheckWindowWorkmanPerformQuery windowIdNotList(List<Long> windowIdNotList){
        this.windowIdNotList = windowIdNotList;
        return this;
    }


    /**
     * 设置 窗口名称
     * @param windowName
     */
    public CheckWindowWorkmanPerformQuery windowName(String windowName){
        setWindowName(windowName);
        return this;
    }

    /**
     * 设置 窗口名称
     * @param windowNameList
     */
    public CheckWindowWorkmanPerformQuery windowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
        return this;
    }

    /**
     * 设置  窗口负责人id
     * @param ownerId
     */
    public CheckWindowWorkmanPerformQuery ownerId(Long ownerId){
        setOwnerId(ownerId);
        return this;
    }

    /**
     * 设置 开始 窗口负责人id
     * @param ownerIdStart
     */
    public CheckWindowWorkmanPerformQuery ownerIdStart(Long ownerIdStart){
        this.ownerIdStart = ownerIdStart;
        return this;
    }

    /**
     * 设置 结束 窗口负责人id
     * @param ownerIdEnd
     */
    public CheckWindowWorkmanPerformQuery ownerIdEnd(Long ownerIdEnd){
        this.ownerIdEnd = ownerIdEnd;
        return this;
    }

    /**
     * 设置 增加 窗口负责人id
     * @param ownerIdIncrement
     */
    public CheckWindowWorkmanPerformQuery ownerIdIncrement(Long ownerIdIncrement){
        this.ownerIdIncrement = ownerIdIncrement;
        return this;
    }

    /**
     * 设置 窗口负责人id
     * @param ownerIdList
     */
    public CheckWindowWorkmanPerformQuery ownerIdList(List<Long> ownerIdList){
        this.ownerIdList = ownerIdList;
        return this;
    }

    /**
     * 设置 窗口负责人id
     * @param ownerIdNotList
     */
    public CheckWindowWorkmanPerformQuery ownerIdNotList(List<Long> ownerIdNotList){
        this.ownerIdNotList = ownerIdNotList;
        return this;
    }


    /**
     * 设置 窗口负责人名称
     * @param ownerName
     */
    public CheckWindowWorkmanPerformQuery ownerName(String ownerName){
        setOwnerName(ownerName);
        return this;
    }

    /**
     * 设置 窗口负责人名称
     * @param ownerNameList
     */
    public CheckWindowWorkmanPerformQuery ownerNameList(List<String> ownerNameList){
        this.ownerNameList = ownerNameList;
        return this;
    }

    /**
     * 设置  所属部门id
     * @param deptId
     */
    public CheckWindowWorkmanPerformQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 所属部门id
     * @param deptIdStart
     */
    public CheckWindowWorkmanPerformQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 所属部门id
     * @param deptIdEnd
     */
    public CheckWindowWorkmanPerformQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属部门id
     * @param deptIdIncrement
     */
    public CheckWindowWorkmanPerformQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 所属部门id
     * @param deptIdList
     */
    public CheckWindowWorkmanPerformQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 所属部门id
     * @param deptIdNotList
     */
    public CheckWindowWorkmanPerformQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 所属部门名称
     * @param deptName
     */
    public CheckWindowWorkmanPerformQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public CheckWindowWorkmanPerformQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }

    /**
     * 设置  所属大厅
     * @param salaId
     */
    public CheckWindowWorkmanPerformQuery salaId(Long salaId){
        setSalaId(salaId);
        return this;
    }

    /**
     * 设置 开始 所属大厅
     * @param salaIdStart
     */
    public CheckWindowWorkmanPerformQuery salaIdStart(Long salaIdStart){
        this.salaIdStart = salaIdStart;
        return this;
    }

    /**
     * 设置 结束 所属大厅
     * @param salaIdEnd
     */
    public CheckWindowWorkmanPerformQuery salaIdEnd(Long salaIdEnd){
        this.salaIdEnd = salaIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属大厅
     * @param salaIdIncrement
     */
    public CheckWindowWorkmanPerformQuery salaIdIncrement(Long salaIdIncrement){
        this.salaIdIncrement = salaIdIncrement;
        return this;
    }

    /**
     * 设置 所属大厅
     * @param salaIdList
     */
    public CheckWindowWorkmanPerformQuery salaIdList(List<Long> salaIdList){
        this.salaIdList = salaIdList;
        return this;
    }

    /**
     * 设置 所属大厅
     * @param salaIdNotList
     */
    public CheckWindowWorkmanPerformQuery salaIdNotList(List<Long> salaIdNotList){
        this.salaIdNotList = salaIdNotList;
        return this;
    }


    /**
     * 设置 所属大厅名称
     * @param salaName
     */
    public CheckWindowWorkmanPerformQuery salaName(String salaName){
        setSalaName(salaName);
        return this;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameList
     */
    public CheckWindowWorkmanPerformQuery salaNameList(List<String> salaNameList){
        this.salaNameList = salaNameList;
        return this;
    }


    /**
     * 设置 考核表单名称
     * @param fromName
     */
    public CheckWindowWorkmanPerformQuery fromName(String fromName){
        setFromName(fromName);
        return this;
    }

    /**
     * 设置 考核表单名称
     * @param fromNameList
     */
    public CheckWindowWorkmanPerformQuery fromNameList(List<String> fromNameList){
        this.fromNameList = fromNameList;
        return this;
    }



    /**
     * 设置 管理组核查人员
     * @param manageCheckPerson
     */
    public CheckWindowWorkmanPerformQuery manageCheckPerson(String manageCheckPerson){
        setManageCheckPerson(manageCheckPerson);
        return this;
    }

    /**
     * 设置 管理组核查人员
     * @param manageCheckPersonList
     */
    public CheckWindowWorkmanPerformQuery manageCheckPersonList(List<String> manageCheckPersonList){
        this.manageCheckPersonList = manageCheckPersonList;
        return this;
    }



    /**
     * 设置 管理组核查说明
     * @param manageCheckDesc
     */
    public CheckWindowWorkmanPerformQuery manageCheckDesc(String manageCheckDesc){
        setManageCheckDesc(manageCheckDesc);
        return this;
    }

    /**
     * 设置 管理组核查说明
     * @param manageCheckDescList
     */
    public CheckWindowWorkmanPerformQuery manageCheckDescList(List<String> manageCheckDescList){
        this.manageCheckDescList = manageCheckDescList;
        return this;
    }


    /**
     * 设置 管理组核查结果(1.通过,2.不通过)
     * @param manageCheckResult
     */
    public CheckWindowWorkmanPerformQuery manageCheckResult(String manageCheckResult){
        setManageCheckResult(manageCheckResult);
        return this;
    }

    /**
     * 设置 管理组核查结果(1.通过,2.不通过)
     * @param manageCheckResultList
     */
    public CheckWindowWorkmanPerformQuery manageCheckResultList(List<String> manageCheckResultList){
        this.manageCheckResultList = manageCheckResultList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public CheckWindowWorkmanPerformQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public CheckWindowWorkmanPerformQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public CheckWindowWorkmanPerformQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public CheckWindowWorkmanPerformQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public CheckWindowWorkmanPerformQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public CheckWindowWorkmanPerformQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public CheckWindowWorkmanPerformQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public CheckWindowWorkmanPerformQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public CheckWindowWorkmanPerformQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public CheckWindowWorkmanPerformQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public CheckWindowWorkmanPerformQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public CheckWindowWorkmanPerformQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public CheckWindowWorkmanPerformQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public CheckWindowWorkmanPerformQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置  处理状态(1.未处理,2.已处理)
     * @param checkStatus
     */
    public CheckWindowWorkmanPerformQuery checkStatus(Integer checkStatus){
        setCheckStatus(checkStatus);
        return this;
    }

    /**
     * 设置 开始 处理状态(1.未处理,2.已处理)
     * @param checkStatusStart
     */
    public CheckWindowWorkmanPerformQuery checkStatusStart(Integer checkStatusStart){
        this.checkStatusStart = checkStatusStart;
        return this;
    }

    /**
     * 设置 结束 处理状态(1.未处理,2.已处理)
     * @param checkStatusEnd
     */
    public CheckWindowWorkmanPerformQuery checkStatusEnd(Integer checkStatusEnd){
        this.checkStatusEnd = checkStatusEnd;
        return this;
    }

    /**
     * 设置 增加 处理状态(1.未处理,2.已处理)
     * @param checkStatusIncrement
     */
    public CheckWindowWorkmanPerformQuery checkStatusIncrement(Integer checkStatusIncrement){
        this.checkStatusIncrement = checkStatusIncrement;
        return this;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param checkStatusList
     */
    public CheckWindowWorkmanPerformQuery checkStatusList(List<Integer> checkStatusList){
        this.checkStatusList = checkStatusList;
        return this;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param checkStatusNotList
     */
    public CheckWindowWorkmanPerformQuery checkStatusNotList(List<Integer> checkStatusNotList){
        this.checkStatusNotList = checkStatusNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<CheckWindowWorkmanPerformQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<CheckWindowWorkmanPerformQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<CheckWindowWorkmanPerformQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<CheckWindowWorkmanPerformQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}